/* @import "font/_font.scss"; */

@font-face {
  font-family: "InterRegular";
  src: url("../fonts/Inter/Inter-Medium.ttf") format("opentype");
}

* {
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-family: InterRegular !important;
}

body {
  overflow: hidden !important;
  font-family: InterRegular !important;
}

h1,
h2,
h3,
h4,
h5,
a,
p {
  font-family: InterRegular !important;
  color: "#1F2937";
}
p {
  font-size: 14px;
}
.v-menu {
  display: inherit !important;
}

#hideBottomInput .v-input .v-input__control .v-text-field__details,
#hideBottomInput .v-messages {
  display: none;
}

#hideBottomInput .v-input .v-input__control .v-input__slot {
  margin-bottom: 0px;
}

#hideBottomInput.input-gotopage .v-input__slot {
  min-height: 36px !important;
}

#hideBottomInput .button-inside-input {
  position: absolute;
  top: 0;
  right: 0;
}

#hideBottomInput .button-inside-input__button {
  min-width: 36px !important;
}

#hideBottomInput .v-text-field__slot input {
  font-size: 14px;
}

#hideBottomInput .v-input__slot {
  border-radius: 2px;
}

#create-order
  .v-text-field.v-text-field--solo:not(.v-text-field--solo-flat)
  > .v-input__control
  > .v-input__slot {
  box-shadow: unset !important;
}

.admin-scroll-variant .v-data-table__wrapper {
  max-height: 1075px;
  overflow-y: scroll;
}

.v-card {
  border-width: inherit !important;
}

#hideBottomInput .v-input__slot fieldset {
  border: 1px solid #e5e5e5 !important;
  border-radius: 4px;
}

.hideDotList .node-tree {
  list-style-type: none !important;
}
.price-fr {
  max-height: 44px;
  min-height: 44px;
}

.menu-account.v-menu__content {
  border-radius: 6px !important;
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.06),
    0px 4px 6px -1px rgba(0, 0, 0, 0.1) !important;
  border: 1px solid #e5e7eb;
}

.chip-menu:hover {
  border: 1px solid #e5e7eb !important;
}
@media (max-width: 640px) {
  .price-fr {
    max-height: 55px;
    min-height: 55px;
  }
}
@media (max-width: 640px) {
  .icon-cost {
    display: none;
  }
}
.img-fr {
  width: 100%;
  height: 200px;
  margin: 0 auto;
}
.img-fr img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@media (max-width: 640px) {
  .img-fr {
    height: 175px;
  }
}
.tree-collection {
  position: relative;
}
.text-desc {
  height: 48px;
  overflow: hidden;
}
@media (max-width: 640px) {
  .text-desc {
    height: 40px;
  }
}
.bg-auth {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* .node-tree {
  height: 100%;
  border-left: 1px dashed grey;
} */

.line-show #tree-child .line-tree {
  position: absolute;
  height: 88%;
  top: 17%;
  left: 12px;
  border-left: 1px dashed grey;
}

.line-show #tree-child .line-parent-tree {
  position: absolute;
  height: 88%;
  top: 17%;
  left: 36px;
  border-left: 1px dashed grey;
}

.line-show #tree-child .v-input__control {
  background-color: #ffffff;
  z-index: 99;
  position: relative;
}

/* Designing for scroll-bar */
::-webkit-scrollbar {
  width: 4px;
  height: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #dadada;
  border-radius: 3px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #a2a2a2;
  border-radius: 3px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #a2a2a2;
}

/* [1] The container */
.img-hover-zoom {
  overflow: hidden;
  /* [1.2] Hide the overflowing of child elements */
}

/* [2] Transition property for smooth transformation of images */
.img-hover-zoom img {
  transition: transform 0.5s ease;
}

/* [3] Finally, transforming the image when container gets hovered */
.img-hover-zoom:hover img {
  transform: scale(1.1);
}

.border-quantity {
  border: 1px solid #bdc3c7;
}

/* Menu admin */
#menu-list .v-list-group__header {
  margin-bottom: 4px;
}

#menu-list .v-list-group__header,
#menu-list .v-list-group__items .v-list-item,
.menu-active.isActive,
.menu-active.inActive {
  max-height: 46px !important;
  min-height: 46px !important;
}

#menu-list .v-list-item__icon {
  margin-right: 16px !important;
  margin-top: 10px !important;
  margin-left: 6px !important;
}

#menu-list .mdi-chevron-down {
  top: -5px;
}

#menu-list .v-list-item--active {
  background-color: #b2d5fa;
  border-radius: 12px;
}

#menu-list .v-list-i tem--active .v-icon,
#menu-list .v-list-item--active p {
  color: #076ce3;
}

#menu-list .v-icon,
#menu-list p {
  color: #7a8c96;
}

.menu-active.isActive {
  background-color: #b2d5fa;
  border-radius: 4px;
}

.menu-active.isActive i,
.menu-active.isActive p {
  color: #076ce3 !important;
}

.menu-active.inActive i,
.menu-active.inActive p,
#menu-active.inActive i,
#menu-active.inActive p {
  color: #7a8c96 !important;
}

.menu-active.inActive:hover {
  background-color: #ecf0f1;
}

.v-navigation-drawer--absolute {
  z-index: 99 !important;
}

.card-main {
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.12), 0px 1px 2px rgba(0, 0, 0, 0.08) !important;
  border-radius: 4px;
}

.border-main {
  border: 1px solid #edeeef;
}

.v-overlay__scrim {
  opacity: 0;
  /* background-color: inherit !important; */
  border-color: rgb(33, 33, 33);
}

.max-width-1008px {
  max-width: 1008px;
}

.colorLoadingLinear {
  background-image: linear-gradient(to right, #3d7eaa, #ffe47a);
}

#adminButtonDisabled button:disabled {
  background-color: #bdc3c7 !important;
}

@media screen and (max-width: 480px) {
  .height-img-banner {
    height: 28px;
  }

  .width-ipv6 {
    width: 136px;
    word-wrap: break-word;
  }
}

@media screen and (min-width: 768px) {
  .height-img-banner {
    height: 80px;
  }

  .width-ipv6 {
    width: 100%;
  }
}
